#

API Docs for:
Show: Inherited Protected Private Deprecated

# Fills Class

Defined in: `input/charts/Fills.js:1`
Module: charts

Utility class used for drawing area fills.

- Index
- Methods
- Properties

## Item Index

### Methods

- _getAreaDefaults
- _getClosingPoints
- _getPath
- _getStackedClosingPoints
- _toggleVisible
- drawAreaSpline
- drawFill
- drawStackedAreaSpline

### Properties

- _defaults

## Methods

### `_getAreaDefaults`

() private

Defined in `input/charts/Fills.js:349`

Returns default values for area styles.

#### Returns:

Object

### `_getClosingPoints`

() protected

Defined in `input/charts/Fills.js:269`

Concatenates coordinate array with correct coordinates for closing an area fill.

#### Returns:

Array

### `_getPath`

() private

Defined in `input/charts/Fills.js:29`

Returns a path shape used for drawing fills.

#### Returns:

Path

### `_getStackedClosingPoints`

() protected

Defined in `input/charts/Fills.js:299`

Concatenates coordinate array with the correct coordinates for closing an area stack.

#### Returns:

Array

### `_toggleVisible`

(

- `visible`

)
private

Defined in `input/charts/Fills.js:47`

Toggles visibility

#### Parameters:

- `visible` Boolean

  indicates visibilitye

### `drawAreaSpline`

() protected

Defined in `input/charts/Fills.js:111`

Draws a fill for a spline

### `drawFill`

(

- `xcoords`
- `ycoords`

)
protected

Defined in `input/charts/Fills.js:62`

Draws fill

#### Parameters:

- `xcoords` Array

  The x-coordinates for the series.

- `ycoords` Array

  The y-coordinates for the series.

### `drawStackedAreaSpline`

() protected

Defined in `input/charts/Fills.js:169`

Draws a a stacked area spline

## Properties

### `_defaults`

Object private

Defined in `input/charts/Fills.js:260`

Storage for default area styles.